Get Task Agent Run
Get a single execution run for a Task Agent by run ID.
Returns the same run metadata shape as the run listing endpoint, including
status, token usage, files, tool invocation summaries, phase timings, fallback
metadata, and model usage rows when available.
Authentication
AuthorizationBearer
Bearer token authentication using JWT tokens from Ory Kratos/Hydra
Path parameters
org_id
The organization ID
project_id
The project ID
task_agent_id
The task agent ID
run_id
The task agent run ID
Response
Task Agent run
id
task_agent_id
session_id
ADK session ID (string format).
user_id
input_tokens
output_tokens
total_tokens
charged_credits
created
completed
duration_ms
status
Status of a TaskAgent run.
is_error
task_tools_invoked
task_agent_revision_id
invocation_id
is_continuation
primary_llm_model_id
fallback_llm_model_id
used_fallback_model
primary_failure_reason
total_charged_credits
had_task_tool_fail
had_mcp_tool_fail
had_integration_tool_fail
skills_activated
mcp_tools_invoked
integration_tools_invoked
phase_timings
context_usage
termination_reason
last_activity_at
model_usages
files
Files associated with this agent run (both uploaded and generated by task tools)
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error
